Bug 116768 - gd-2.0.15-1 requires XFree86-libs
gd-2.0.15-1 requires XFree86-libs
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-02-24 19:52 EST by Peter E. Popovich
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-21 08:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter E. Popovich 2004-02-24 19:52:32 EST
Description of problem:
it's possible to build gd-2.0.15-1 without XFree86 dependencies, and
it's not clear that building it with XFree dependencies produces a
better gd.

How reproducible:

Actual Results:
#kani:i686# rpm -q gd
#kani:i686# rpm -q --requires gd
[edited for brevity]
[edited for brevity]
#kani:i686# rpm -q --whatprovides libX11.so.6 libXpm.so.4

Additional info:
if i'm missing some improvement on gd that XFree86-libs makes, or it's
just unfeasible to build gd in a production environment without the
dependency, s'cool. just seemed really odd to me.
Comment 1 Phil Knirsch 2004-02-26 10:13:26 EST
Good question, i'll be looking into it, but it's fairly low priority atm.

Read ya, Phil
Comment 2 Phil Knirsch 2004-04-21 08:37:13 EDT
The problem is that gd is being compiled with the xpm feature enabled,
so Xpm is required for it which unfortunately is part of the
XFree86-libs package, so there is not really a lot i can do about it.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.